Bug 234452 - Unloading airo driver hangs, also hangs ps, sudo, and others
Unloading airo driver hangs, also hangs ps, sudo, and others
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
high Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-03-29 08:45 EDT by Brad Smith
Modified: 2008-02-07 23:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:29:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2007-03-29 08:45:13 EDT
Summary: airo driver spontaneously stops being able to find access points or
renew dhcp lease and hangs elements of the system, including ps and sudo, when
unloaded. 

I went a long time without experiencing this problem more than once or twice,
but then yesterday it happened four or five times in a day, requiring a hard
reboot every time. I'd suggest that maybe it's the result of some external
factor to do with the access point, but it happened when connected to two
different APs in two different locations.

----------------------------------------------------------------------------
# The problem was also experienced under 2.6.18-1.2849.fc6
[brad@satsuki ~]$ uname -r
2.6.20-1.2933.fc6

# Note that we're connected to a WAP.
[brad@satsuki ~]$ iwconfig eth1		 
eth1      IEEE 802.11-DS  ESSID:"loganwifi"  
          Mode:Managed  Frequency:2.437 GHz  Access Point: Invalid   
          Bit Rate:11 Mb/s   Tx-Power=20 dBm   Sensitivity=0/65535  
          Retry limit:16   RTS thr:off   Fragment thr:off
          Power Management:off
          Link Quality=38/100  Signal level=-76 dBm  Noise level=-103 dBm
          Rx invalid nwid:167262  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:5  Invalid misc:189802   Missed beacon:3

		  
# A minute before, several WAPs were detected. Then NetworkManager dropped,
# wasn't able to reconnect, and the card began claiming it couldn't find any 
# access points.
[brad@satsuki ~]$ sudo iwlist eth1 scan   
eth1      No scan results


# Previously in situations like this, reloading the airo driver has helped.
# Note the use-count of zero.
[brad@satsuki ~]$ sudo ifdown eth1
[brad@satsuki ~]$ lsmod | grep airo
airo                   72417  0 
[brad@satsuki ~]$ sudo modprobe -r a was actually unusual in that the 
Message from syslogd@satsuki at Wed Mar 28 19:24:48 2007 ...
satsuki kernel: unregister_netdevice: waiting for eth1 to become free. Usage
count = 6

Message from syslogd@satsuki at Wed Mar 28 19:24:59 2007 ...
satsuki kernel: unregister_netdevice: waiting for eth1 to become free. Usage
count = 3

Message from syslogd@satsuki at Wed Mar 28 19:25:39 2007 ...
satsuki last message repeated 4 times

Message from syslogd@satsuki at Wed Mar 28 19:26:40 2007 ...
satsuki last message repeated 6 times
----------------------------------------------------------------------------

At this time modprobe cannot be interrupted with ^C. Strangely, I have noticed 
several other services hang similarly at this time, but not before. These include:
	ps, gnome-system-monitor, system-monitor applet, etc
	sudo

A reboot also hangs, requiring that the system be power-cycled.

This is on a Thinkpad T30 running an updated (as of 27 Feb 2007) FC6
Comment 1 Pekka Pietikäinen 2007-04-24 16:08:58 EDT
I see this too (Thinkpad X31, latest FC6 updates kernel, aironet firmware
5.60.21).

Incoming packets seem to work when this condition happens (just try tcpdump when
your network hangs). I got this to happen every 20 _seconds_ just, I was scp:ing
lots of data out.

Also possibly related:

Intel(R) PRO/1000 Network Driver - version 7.3.15-k2-NAPI
Copyright (c) 1999-2006 Intel Corporation.
cs: IO port probe 0x100-0x3af: clean.
cs: IO port probe 0x3e0-0x4ff: excluding 0x4d0-0x4d7
cs: IO port probe 0x820-0x8ff: clean.
cs: IO port probe 0xc00-0xcf7: clean.
cs: IO port probe 0xa00-0xaff: clean.
intel_rng: FWH not detected
airo(): Probing for PCI adapters
nsc-ircc, chip->init
nsc-ircc, Found chip at base=0x02e
nsc-ircc, driver loaded (Dag Brattli)
nsc_ircc_open(), can't get iobase of 0x2f8
nsc-ircc, Found chip at base=0x02e
nsc-ircc, driver loaded (Dag Brattli)
nsc_ircc_open(), can't get iobase of 0x2f8
pnp: Device 00:0c disabled.
ide2 at 0x4100-0x4107,0x410e on irq 3
hde: max request size: 128KiB
hde: 250368 sectors (128 MB) w/1KiB Cache, CHS=978/8/32
 hde: hde1
ide-cs: hde: Vpp = 0.0
ACPI: PCI Interrupt 0000:02:01.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ
 11
e1000: 0000:02:01.0: e1000_probe: (PCI:33MHz:32-bit) 00:0d:60:cb:aa:ed
e1000: eth0: e1000_probe: Intel(R) PRO/1000 Network Connection
ACPI: PCI Interrupt 0000:00:1f.3[B] -> Link [LNKB] -> GSI 11 (level, low) -> IRQ
 11
ACPI: PCI Interrupt 0000:02:00.2[C] -> Link [LNKC] -> GSI 11 (level, low) -> IRQ
 11
ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[11]  MMIO=[c0214000-c02147ff]  Max
 Packet=[2048]  IR/IT contexts=[4/4]
ACPI: PCI Interrupt 0000:02:02.0[A] -> Link [LNKC] -> GSI 11 (level, low) -> IRQ
 11
airo(eth1): Found an MPI350 card
cs: IO port probe 0x100-0x3af: clean.
cs: IO port probe 0x3e0-0x4ff: excluding 0x4d0-0x4d7
cs: IO port probe 0x820-0x8ff: clean.
cs: IO port probe 0xc00-0xcf7: clean.
cs: IO port probe 0xa00-0xaff: clean.
airo(eth1): WPA is supported.
airo(eth1): Couldn't register_netdev
ACPI: PCI Interrupt 0000:00:1f.5[B] -> Link [LNKB] -> GSI 11 (level, low) -> IRQ
 11
PCI: Setting latency timer of device 0000:00:1f.5 to 64
airo(): Finished probing for PCI adapters

(Note the Couldn't register_netdev. A rmmod/modprobe cycle is required for the
card to show up at all).

I believe the driver load/unload logic is very broken :(
Comment 2 Jon Stanley 2008-01-07 20:51:02 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 Jon Stanley 2008-02-07 23:29:09 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.